
%global meadversion 1.0.0.00003
%global namedversion 1.0.0.00003-redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package activemq-artemis-native}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.0.00003-redhat-00001

Name:           %{?scl_prefix}activemq-artemis-native
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          1
Summary:        ActiveMQ Artemis Native
Group:          Development/Java

%if %with mead
Source100: activemq-artemis-native-1.0.0.00003-redhat-00001-source-release.zip
Source102: activemq-artemis-native-1.0.0.00003-redhat-00001-sources.jar
Source103: activemq-artemis-native-1.0.0.00003-redhat-00001.jar
Source104: activemq-artemis-native-1.0.0.00003-redhat-00001-source-release.tar.gz
Source105: activemq-artemis-native-1.0.0.00003-redhat-00001-project-sources.tar.gz
Source106: activemq-artemis-native-1.0.0.00003-redhat-00001.pom
%endif

License:        ASL 2.0
URL:            http://apache.org/activemq
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for artemis native
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-javadoc = %{epoch}:%{version}-%{release}
BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n activemq-artemis-native-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/activemq-artemis-native-%{namedversion}.jar %{buildroot}%{_javadir}/activemq-artemis-native-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/activemq-artemis-native-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/activemq-artemis-native-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/activemq-artemis-native-%{namedversion}-sources.jar %{buildroot}%{_javadir}/activemq-artemis-native-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/activemq-artemis-%{namedversion}
unzip -qq %{_sourcedir}/artemis-pom-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/activemq-artemis-native-%{namedversion} -x META-INF/\*
%{__ln_s} extra-tests-%{namedversion} %{buildroot}%{_javadocdir}/activemq-artemis-native
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}activemq-artemis-native
%defattr(0644,root,root,0755)
%doc NOTICE README.md
%defattr(0644,root,root,0755)
%{_javadir}/activemq-artemis-native-%{namedversion}.jar
%{_javadir}/activemq-artemis-native.jar
%if %with javadoc
%{_javadir}/activemq-artemis-native-%{namedversion}-javadoc.jar
%{_javadir}/activemq-artemis-native-javadoc.jar
%endif
%{_javadir}/activemq-artemis-native-%{namedversion}-sources.jar
%{_javadir}/activemq-artemis-native-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/activemq-artemis-native-%{namedversion}
%{_javadocdir}/activemq-artemis-native
%endif

%changelog
* Fri Jun 28 2019 Permaine Cheung <pcheung@redhat.com> - 1.0.0.00003-2.redhat_00001.1
- Fix serial

* Fri Jun 28 2019 Permaine Cheung <pcheung@redhat.com> - 1.0.0.00003-1.redhat_00001.1
- 1.0.0.00003-redhat-00001

